<?php
	@session_start();
	
	include( "f_admin.php" );
	include( "f_wfl.php" );
	
	
	$mandant_name = $_POST[ "mandant_name" ];
	/*xlog( 3, "Mandant: " . $_POST[ "mandant_name" ] );
	xlog( 3, "Mandant: " . $mandant_name );*/
	$benutzer_anmeldename = strtolower( $_POST[ "benutzer_anmeldename" ] );
	
	$passwort = $_POST[ "passwort" ];
	
	$sprache = $_POST[ "sprache" ];
	
	$dok_id = $_GET[ "dok_id" ];
	
	if ( strpos( $benutzer_anmeldename, "\\" ) !== false )
	{
		$dummy = explode( "\\", $benutzer_anmeldename );
		
		$domaene				= $dummy[ 0 ];
		$benutzer_anmeldename	= $dummy[ 1 ];
	}
	
	$ok = login( $mandant_name, $domaene, $benutzer_anmeldename, $passwort );
	
	$rc			= $ok[ 0 ];
	$meldung	= $ok[ 1 ];


	if ( $rc == 0 )
	{
		// alles ok
		$ok_3 = existiert_mandant( $mandant_name );
		$_SESSION[ "benutzer_anmeldename" ]		= $benutzer_anmeldename;
		$_SESSION[ "mandant_name" ]				= $mandant_name;
		$_SESSION[ "mandant_id" ]				= $ok_3[ 0 ];
		$_SESSION[ "sprache" ]					= $sprache;
		$_SESSION[ "eingeloggt_ts" ]			= time();
		$_SESSION[ "meldung" ]					= $meldung;
		
		if ( $benutzer_anmeldename <> "superuser" )
		{
			if ( strlen( $_GET[ "dok_id" ] ) > 0 )
			{
				header( "Location: system_redir_zum_dokument.php?dok_id=".$_GET[ "dok_id" ] );
			}
			else
			{
				header( "Location: us_uebersicht.php" );
			}
		
			exit();
		}
		else
		{
			$_SESSION[ "mandant_name" ]					= "Standard";
			header( "Location: su_uebersicht.php" );
		}
	}
	elseif ( $rc > 0 )
	{
		// alles ok, aber Passwort abgelaufen. Weiterleiten zum Passwort ändern
		$meldung = "Benutzer ".$benutzer_anmeldename." Passwort korrekt? JA";
		$ok_3 = existiert_mandant( $mandant_name );
		$_SESSION[ "benutzer_anmeldename" ]		= $benutzer_anmeldename;
		$_SESSION[ "mandant_name" ]				= $mandant_name;
		$_SESSION[ "mandant_id" ]				= $ok_3[ 0 ];
		$_SESSION[ "sprache" ]					= $sprache;
		$_SESSION[ "eingeloggt_ts" ]			= time();
		$_SESSION[ "meldung" ]					= $meldung;
		
		if ( $benutzer_anmeldename <> "superuser" )
		{
			header( "Location: admin_passwort_abgelaufen.php" );
		}
		else
		{
			$_SESSION[ "mandant_name" ]					= "Standard";
			header( "Location: admin_passwort_abgelaufen.php" );
		}
		
	}
	elseif ( $rc < 0 )
	{
		// Fehler, weiterleiten zum Login-Template, setzen der Fehlermeldung
		$_SESSION[ "benutzer_anmeldename" ]		= "";
		$_SESSION[ "mandant_name" ]				= "";
		$_SESSION[ "sprache" ]					= "";
		$_SESSION[ "meldung" ]					= $meldung;
		$_SESSION[ "eingeloggt_ts" ]			= "";
		
		if ( $benutzer_anmeldename <> "superuser" )
		{
			header( "Location: index.php" );
		}
		else
		{
			$_SESSION[ "mandant_name" ]					= "Standard";
			header( "Location: index.php" );
		}
		
	}
	
	//xlog( 4, md5( "superuser" ));
	
	
?>